ABACAS(1)

NAME
abacas - Algorithm Based Automatic Contiguation of Assembled Sequences

SYNOPSIS
abacas -r ref -q qs -p prog [OPTIONS]

OR

abacas -r ref -q psf -e

ref reference sequence in a single fasta file

qs  contigs in multi-fasta format

rog MUMmer program to use: 'nucmer' or 'promer'

psf pseudomolecule/ordered sequence file in fasta format

OPTIONS

-h  print usage

-d  use default nucmer/promer parameters

-s  int minimum length of exact matching word (nucmer default = 12, promer default = 4)

-m  print ordered contigs to file in multifasta format

-b  print contigs in bin to file

-N  print a pseudomolecule without "N"s

-i  int minimum percent identity [default 40]

-v  int minimum contig coverage [default 40]

-V  int minimum contig coverage difference [default 1]

-l  int minimum contig length [default 1]

-t  run tblastx on contigs that are not mapped

-g  string (file name) print uncovered regions (gaps) on reference to file name

-a  append contigs in bin to the pseudomolecule

-o  prefix output files will have this prefix

-P  pick primer sets to close gaps

-f  int number of flanking bases on either side of a gap for primer design (default 350)

-R  int Run mummer [default 1, use -R 0 to avoid running mummer]

-e  Escape contig ordering i.e. go to primer design

-c  Reference sequence is circular

DESCRIPTION
ABACAS is intended to rapidly contiguate (align, order, orientate), visualize and design primers to close gaps on shotgun assembled contigs based on a reference sequence.

ABACAS uses MUMmer to find alignment positions and identify syntenies of assembled contigs against the reference. The output is then processed to generate a pseudomolecule taking overlapping contigs and gaps in to account. ABACAS generates a comparison file that can be used to visualize ordered and oriented contigs in ACT. Synteny is represented by red bars where colour intensity decreases with lower values of percent identity between comparable blocks. Information on contigs such as the orientation, percent identity, coverage and overlap with other contigs can also be visualized by loading the outputted feature file on ACT.

AUTHOR
ABACAS IS Copyright (C) 2008-10 The Wellcome Trust Sanger Institute, Cambridge, UK.

This manual page was written by Andreas Tille <tille@debian.org>, for the Debian project (and may be used by others).